Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.qtcomponents
Class TimeCoder

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.std.comp.ComponentIdentifier
                  |
                  +--quicktime.std.comp.Component
                        |
                        +--quicktime.std.movies.media.MediaHandler
                              |
                              +--quicktime.std.movies.media.VisualMediaHandler
                                    |
                                    +--quicktime.std.qtcomponents.TimeCoder

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class TimeCoder
extends VisualMediaHandler
implements quicktime.jdirect.QuickTimeLib

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Method Summary
`static TimeCoder` | `fromMedia(TimeCodeMedia m)` This method allows you to obtain a reference to a media handler component.
`TimeCodeInfo` | `getAtTime(int mediaTime)` Determines the time code from the time code handler.
`TimeCodeInfo` | `getCurrent()` Determines the time code from the time code handler at the current time value.
`TCTextOptions` | `getDisplayOptions()` Returns the current display options for text by the TimeCoder.
`int` | `getFlags()` Allows you to retrieve the timecode control flags.
`QTHandle` | `getSourceRef(TimeCodeDescription tcd)` Allows you to retrieve the source information from the time code media sample.
`void` | `setDisplayOptions(TCTextOptions textOptions)` Sets the current display options for text by the TimeCoder.
`void` | `setFlags(int flags, int flagsMask)` Allows you to change the flags that affect how QT handles the timecode information.
`void` | `setSourceRef(TimeCodeDescription tcd, QTHandleRef sref)` Allows you to change the source information in the media sample.
`java.lang.String` | `timeCodeToString(TimeCodeDef tcdef, int counter)` Converts a time value into a string (HH:MM:SS:FF) - if the timecode uses a drop frame technique the separators are semi-colons (HH;MM;SS;FF).
`java.lang.String` | `timeCodeToString(TimeCodeDef tcdef, TimeCodeTime tct)` Converts a time value into a string (HH:MM:SS:FF) - if the timecode uses a drop frame technique the separators are semi-colons (HH;MM;SS;FF).
`int` | `toFrameNumber(TimeCodeTime tcrec, TimeCodeDef tcdef)` Converts a time value into a frame number using specified definitions.
`TimeCodeTime` | `toTimeCode(int frameNumber, TimeCodeDef tcdef)` Converts a frame number into a time value using specified definitions.

Methods inherited from class quicktime.std.movies.media.VisualMediaHandler
`getGraphicsMode, getTrackOpaque, hitTestForTargetRefCon, hitTestTargetRefCon, setGraphicsMode`

Methods inherited from class quicktime.std.comp.Component
`count`

Methods inherited from class quicktime.std.comp.ComponentIdentifier
`find, find, getInfo, toString`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### fromMedia

    public static TimeCoder fromMedia(TimeCodeMedia m)
                               throws StdQTException

  This method allows you to obtain a reference to a media handler component. This returns the handler that is the appropriate class for this particular media.
  QuickTime::GetMediaHandler()

  Returns:
    a MediaHandler object for the media's media handler.
  See Also:
    `quicktime.std.movies.media.TimeCodeMedia#getTimeCodeMediaHandler`, `quicktime.std.movies.media.Media#getMediaHandler`

### getCurrent

    public TimeCodeInfo getCurrent()
                            throws QTException

  Determines the time code from the time code handler at the current time value.
  QuickTime::TCGetCurrentTimeCode()

  Returns:
    The information object containing the time code, its definition, and data.

### getAtTime

    public TimeCodeInfo getAtTime(int mediaTime)
                           throws QTException

  Determines the time code from the time code handler.
  QuickTime::TCGetTimeCodeAtTime()

  Parameters:
    `mediaTime` - The time value of the media at which to retrieve the time code information.
  Returns:
    The information object containing the time code, its definition, and data.

### timeCodeToString

    public java.lang.String timeCodeToString(TimeCodeDef tcdef,
                                             TimeCodeTime tct)
                                      throws StdQTException

  Converts a time value into a string (HH:MM:SS:FF) - if the timecode uses a drop frame technique the separators are semi-colons (HH;MM;SS;FF).
  QuickTime::TCTimeCodeToString()

  Parameters:
    `tcdef` - the time code definition structure used for the conversion
    `tct` - the time code time structure used for the conversion
  Returns:
    the converted string

### timeCodeToString

    public java.lang.String timeCodeToString(TimeCodeDef tcdef,
                                             int counter)
                                      throws StdQTException

  Converts a time value into a string (HH:MM:SS:FF) - if the timecode uses a drop frame technique the separators are semi-colons (HH;MM;SS;FF).
  QuickTime::TCTimeCodeToString()

  Parameters:
    `tcdef` - the time code definition structure used for the conversion
    `counter` - the time code counter value
  Returns:
    the converted string

### toFrameNumber

    public int toFrameNumber(TimeCodeTime tcrec,
                             TimeCodeDef tcdef)
                      throws StdQTException

  Converts a time value into a frame number using specified definitions.
  QuickTime::TCTimeCodeToFrameNumber()

  Parameters:
    `tcrec` - The time code value structure to convert.
    `tcdef` - The time code definition object used for the conversion.
  Returns:
    The frame number.

### toTimeCode

    public TimeCodeTime toTimeCode(int frameNumber,
                                   TimeCodeDef tcdef)
                            throws StdQTException

  Converts a frame number into a time value using specified definitions.
  QuickTime::TCFrameNumberToTimeCode()

  Parameters:
    `frameNumber` - The frame number to convert.
    `tcdef` - The time code definition object used for the conversion.
  Returns:
    The time code value structure.

### getSourceRef

    public QTHandle getSourceRef(TimeCodeDescription tcd)
                          throws QTException

  Allows you to retrieve the source information from the time code media sample.
  QuickTime::TCGetSourceRef()

  Parameters:
    `tcd` - the description that describes the time code reference to be changed
  Returns:
    the source information that is found in the sample reference

### setSourceRef

    public void setSourceRef(TimeCodeDescription tcd,
                             QTHandleRef sref)
                      throws StdQTException

  Allows you to change the source information in the media sample.
  QuickTime::TCSetSourceRef()

  Parameters:
    `tcd` - the description that describes the time code reference to be changed
    `sref` - the source information that is placed in the sample reference

### setFlags

    public void setFlags(int flags,
                         int flagsMask)
                  throws StdQTException

  Allows you to change the flags that affect how QT handles the timecode information.
  QuickTime::TCSetTimeCodeFlags()

  Parameters:
    `flags` - specifies the new flag value
    `flagsMask` - specifies which of the flag values are to change.

### getFlags

    public int getFlags()
                 throws StdQTException

  Allows you to retrieve the timecode control flags.
  QuickTime::TCGetTimeCodeFlags()

  Returns:
    the timecode control flags

### setDisplayOptions

    public void setDisplayOptions(TCTextOptions textOptions)
                           throws StdQTException

  Sets the current display options for text by the TimeCoder.
  QuickTime::TCSetDisplayOptions()

  Parameters:
    `textOptions` - text display options

### getDisplayOptions

    public TCTextOptions getDisplayOptions()
                                    throws StdQTException

  Returns the current display options for text by the TimeCoder.
  QuickTime::TCGetDisplayOptions()

  Returns:
    text display options

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD